"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var groupProvider_1 = require("./groupProvider");
exports.RenderedContent = function (_a) {
    var _b = _a.sourceTypes, sourceTypes = _b === void 0 ? [] : _b;
    var sources = groupProvider_1.useGroupContext().sources;
    if (!sources || !sources.length) {
        return null;
    }
    var renderedContents = sources
        .filter(function (source) { return sourceTypes.includes(source.type); })
        .map(function (source) {
        if (source.data) {
            return source.data.renderedContent;
        }
        return null;
    });
    return react_1.default.createElement(react_1.default.Fragment, null, renderedContents);
};
